HPLIP doesn't recognise Scanjet Pro 2500F1 flatbed scanner

Bug #1847142 reported by Sab on 2019-10-07
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Santhosh Manchikanti

Bug Description

Hi !

Please, help !

m@m:~$ uname -a
Linux m-EasyNote-TE69KB 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
m@m:~$

m@m:~$ hp-scan
HP Linux Imaging and Printing System (ver. 3.19.8)
Scan Utility ver. 2.2

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

error: No device selected/specified or that supports this functionality.
mimi@mimi-EasyNote-TE69KB:~$ hp-setup

HP Linux Imaging and Printing System (ver. 3.19.8)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Searching... (bus=usb, search=(None), desc=0)
error: No devices found on bus: usb
Searching... (bus=usb, search=(None), desc=0)
error: No devices found on bus: usb
Searching... (bus=usb, search=(None), desc=0)
error: No devices found on bus: usb

Done.
m@m:~$

m@m:~$ lsusb
Bus 002 Device 002: ID 064e:e330 Suyin Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 003: ID 04ca:300b Lite-On Technology Corp. Atheros AR3012 Bluetooth
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 03f0:6005 Hewlett-Packard
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
m@m:

m@m:~$ sudo sane-find-scanner
 # sane-find-scanner will now attempt to detect your scanner. If the
  # result is different from what you expected, first make sure your
  # scanner is powered up and properly connected to your computer.

  # No SCSI scanners found. If you expected something different, make sure that
  # you have loaded a kernel SCSI driver for your SCSI adapter.

found USB scanner (vendor=0x03f0 [Hewlett-Packard], product=0x6005 [HP ScanJet Pro 2500 f1]) at libusb:001:003
  # Your USB scanner was (probably) detected. It may or may not be supported by
  # SANE. Try scanimage -L and read the backend's manpage.

  # Not checking for parallel port scanners.

  # Most Scanners connected to the parallel port or other proprietary ports
  # can't be detected by this program.
m@m:~$

m@m:~$ scanimage -L
No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
m@m:~$

m@m:~$ hp-setup
HP Linux Imaging and Printing System (ver. 3.19.8)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Searching... (bus=usb, search=(None), desc=0)
error: No devices found on bus: usb
Searching... (bus=usb, search=(None), desc=0)
error: No devices found on bus: usb

Done.
m@m:~$

m@m:~$ hp-check -t
Saving output in log file: /home/mimi/hp-check.log

HP Linux Imaging and Printing System (ver. 3.19.8)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed to successfully
compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper dependencies installed
to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
    OK
    MISSING - Missing Dependency or Permission or Plug-in
    INCOMPAT - Incompatible dependency-version or Plugin-version

---------------
| SYSTEM INFO |
---------------

 Kernel: 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 GNU/Linux
 Host: mimi-EasyNote-TE69KB
 Proc: 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 GNU/Linux
 Distribution: 12 18.04
 Bitness: 64 bit

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.19.8
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for ubuntu distro 18.04 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.19.8

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.19.8
html=/usr/share/doc/hplip-3.19.8
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.19.8
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no

Current contents of '/var/lib/hp/hplip.state' file:
Plugins are not installed. Could not access file: Aucun fichier ou dossier de ce type

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
notify_upgrade = true
last_upgraded_time = 1570469662
pending_upgrade_time = 0
latest_available_version = 3.17.10

[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri =
printer_name =
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[installation]
date_time = 07/10/2019 21:41:23
version = 3.19.8

 <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------
| COMPILEDEP |
--------------

 gcc gcc - GNU Project C and C++ Compiler REQUIRED - 7.4.0 OK -
 make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.1 OK -
 libtool libtool - Library building support services REQUIRED - 2.4.6 OK -

------------------------
| General Dependencies |
------------------------

 libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.1.1 OK -
 python-xml Python XML libraries REQUIRED - 2.2.5 OK -
 libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.7.3 OK -
 sane-devel SANE - Scanning library development files REQUIRED - - OK -
 pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 1.1.7 OK -
 pyqt4-dbus PyQt 4 DBus - DBus Support for PyQt4 REQUIRED 4.0 4.12.1 OK -
 libpthread libpthread - POSIX threads library REQUIRED - 2.27 OK -
 python-devel Python devel - Python development files REQUIRED 2.2 2.7.15 OK -
 cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.2.7 OK -
 python-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.6 OK -
 cups-ddk CUPS DDK - CUPS driver development kit OPTIONAL - - OK -
 reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.4.0 OK -
 pyqt4 PyQt 4- Qt interface for Python (for Qt version 4.x) REQUIRED 4.0 4.12.1 OK -
 libusb libusb - USB library REQUIRED - 1.0 OK -
 cups-image CUPS image - CUPS image development files REQUIRED - 2.2.7 OK -
 python2X Python 2.2 or greater - Python programming language REQUIRED 2.2 2.7.15 OK -
 python-notify Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
 libjpeg libjpeg - JPEG library REQUIRED - - OK -
 sane SANE - Scanning library REQUIRED - - OK -

----------------------
| Scan Configuration |
----------------------

 scanext Scan-SANE-Extension REQUIRED - 3.19.8 OK -
 hpaio HPLIP-SANE-Backend REQUIRED - 3.19.8 OK 'hpaio found in /etc/sane.d/dll.conf'

-------------------------
| External Dependencies |
-------------------------

 gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.26 OK -
 scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.28 OK -
 cups CUPS - Common Unix Printing System REQUIRED 1.1 2.2.7 OK 'CUPS Scheduler is running'
 network network -wget OPTIONAL - 1.19.4 OK -
 policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
 xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
 dbus DBus - Message bus system REQUIRED - 1.12.2 OK -
 avahi-utils avahi-utils OPTIONAL - 0.7 OK -

---------------------
| Python Extentions |
---------------------

 hpmudext IO-Extension REQUIRED - 3.19.8 OK -
 cupsext CUPS-Extension REQUIRED - 3.19.8 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------

Type: Unknown
Device URI: usb://Canon/iP110%20series?serial=2216E3

--------------
| PERMISSION |
--------------

No errors or warnings.

Done.
m@m:~$

m@m:~$ sudo hp-plugin -i
HP Linux Imaging and Printing System (ver. 3.19.8)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: It is not recommended to run 'hp-plugin' in a root mode.

HP Linux Imaging and Printing System (ver. 3.19.8)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

(Note: Defaults for each question are maked with a '*'. Press <enter> to accept the default.)

-----------------------------------------
| PLUG-IN INSTALLATION FOR HPLIP 3.19.8 |
-----------------------------------------

  Option Description
  ---------- --------------------------------------------------
  d Download plug-in from HP (recommended)
  p Specify a path to the plug-in (advanced)
  q Quit hp-plugin (skip installation)

Enter option (d=download*, p=specify path, q=quit) ? d

-------------------
| DOWNLOAD PLUGIN |
-------------------

Checking for network connection...
Downloading plug-in from:
Downloading plug-in: [\ ] 0% Plugin is not accessible. Trying to download it from fallback location: [https://developers.hp.com/sites/default/files/hplip-3.19.8-plugin.run]
Receiving digital keys: /usr/bin/gpg --homedir /home/mimi/.hplip/.gnupg --no-permission-warning --keyserver pgp.mit.edu --recv-keys 0x4ABA2F66DBD5A95894910E0673D770CDA59047B9
()
error: Unable to recieve key from keyserver
Do you still want to install the plug-in? (y=yes, n=no*, q=quit) ? y

----------------------
| INSTALLING PLUG-IN |
----------------------

Creating directory plugin_tmp
Verifying archive integrity... All good.
Uncompressing HPLIP 3.19.8 Plugin Self Extracting Archive..............................................................

HP Linux Imaging and Printing System (ver. 3.19.8)
Plugin Installer ver. 3.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.19.8
Installed HPLIP version: 3.19.8
Number of files to install: 64

You must agree to the license terms before installing the plug-in:

LICENSE TERMS FOR HP Linux Imaging and Printing (HPLIP) Driver Plug-in

These License Terms govern your Use of the HPLIP Driver Plug-in Software (the "Software"). USE OF THE SOFTWARE INCLUDING, WITHOUT LIMITATION, ANY DOCUMENTATION, IS SUBJECT TO THESE LICENSE
TERMS AND THE APPLICABLE AS-IS WARRANTY STATEMENT. BY DOWNLOADING AND INSTALLING THE SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THESE TERMS. IF YOU DO NOT AGREE TO ALL OF THESE TERMS, DO NOT
DOWNLOAD AND INSTALL THE SOFTWARE ON YOUR SYSTEM.

1. License Grant. HP grants you a license to Use one copy of the Software with HP printing products only. "Use" includes using, storing, loading, installing, executing, and displaying the
Software. You may not modify the Software or disable any licensing or control features of the Software.

2. Ownership. The Software is owned and copyrighted by HP or its third party suppliers. Your license confers no title to, or ownership in, the Software and is not a sale of any rights in the
Software. HP's third party suppliers may protect their rights in the Software in the event of any violation of these license terms.

3. Copies and Adaptations. You may only make copies or adaptations of the Software for archival purposes or when copying or adaptation is an essential step in the authorized Use of the
Software. You must reproduce all copyright notices in the original Software on all copies or adaptations. You may not copy the Software onto any public network.

4. No Disassembly. You may not Disassemble the Software unless HP's prior written consent is obtained. "Disassemble" includes disassembling, decompiling, decrypting, and reverse engineering.
In some jurisdictions, HP's consent may not be required for limited Disassembly. Upon request, you will provide HP with reasonably detailed information regarding any Disassembly.

5. No Transfer. You may not assign, sublicense or otherwise transfer all or any part of these License Terms or the Software.

6. Termination. HP may terminate your license, upon notice, for failure to comply with any of these License Terms. Upon termination, you must immediately destroy the Software, together with
all copies, adaptations and merged portions in any form.

7. Export Requirements. You may not export or re-export the Software or any copy or adaptation in violation of any applicable laws or regulations.

8. U.S. Government Restricted Rights. The Software has been developed entirely at private expense. It is delivered and licensed, as defined in any applicable DFARS, FARS, or other equivalent
federal agency regulation or contract clause, as either "commercial computer software" or "restricted computer software", whichever is applicable. You have only those rights provided for such
Software by the applicable clause or regulation or by these License Terms.

9. DISCLAIMER OF WARRANTIES. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, HP AND ITS SUPPLIERS PROVIDE THE SOFTWARE "AS IS" AND WITH ALL FAULTS, AND HEREBY DISCLAIM ALL OTHER WARRANTIES
AND CONDITIONS, EITHER EXPRESS, IMPLIED, OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, WARRANTIES OF TITLE AND NON-INFRINGEMENT, ANY IMPLIED WARRANTIES, DUTIES OR CONDITIONS OF MERCHANTABILITY,
OF FITNESS FOR A PARTICULAR PURPOSE, AND OF LACK OF VIRUSES ALL WITH REGARD TO THE SOFTWARE. Some states/jurisdictions do not allow exclusion of implied warranties or limitations on the
duration of implied warranties, so the above disclaimer may not apply to you in its entirety.

10. LIMITATION OF LIABILITY. Notwithstanding any damages that you might incur, the entire liability of HP and any of its suppliers under any provision of this agreement and your exclusive
remedy for all of the foregoing shall be limited to the greater of the amount actually paid by you separately for the Software or U.S. $5.00. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW,
IN NO EVENT SHALL HP OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, BUT NOT LIMITED TO, DAMAGES FOR LOSS OF PROFITS OR CONFIDENTIAL OR OTHER INFORMATION, FOR BUSINESS INTERRUPTION, FOR PERSONAL INJURY,
FOR LOSS OF PRIVACY ARISING OUT OF OR IN ANY WAY RELATED TO THE USE OF OR INABILITY TO USE THE SOFTWARE, OR OTHERWISE IN CONNECTION WITH ANY PROVISION OF THIS AGREEMENT, EVEN IF HP OR ANY
SUPPLIER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND EVEN IF THE REMEDY FAILS OF ITS ESSENTIAL PURPOSE. Some states/jurisdictions do not allow the exclusion or limitation of
incidental or consequential damages, so the above limitation or exclusion may not apply to you.

Do you accept the license terms for the plug-in (y=yes*, n=no, q=quit) ? y
Plugin installation failed
error: Plugin installation failed

Done.

Done.
m@m:~$

Thank you for your help in advance !

Regards,
Sab

brian_p (claremont102) wrote :

Does the file /usr/share/hplip/data/models/models.dat exist and does it have an entry for the ScanJet 2500 (scanjet_2500)?

--
Brian.

brian_p (claremont102) wrote :

The entry should be scanjet_pro_2500

--
Brian.

Sab (sab1703) wrote :

Files /usr/share/hplip/data/models/models.dat exists
The entry exists, too.

Have a nice evening !

brian_p (claremont102) wrote :

I downloaded hplip-3.19.8 for Debian. There isn't any entry in models.dat for the device. Perhaps you can post the entry you have.

--
Brian.

Sab (sab1703) wrote :

I've downloaded and installed from : https://developers.hp.com/hp-linux-imaging-and-printing/gethplip because in the distro package it was an old version and that scanner, as I can read in https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index, is full supported since version 3.19.1.

The PC and scanner are at my mother's. Of course I'll give you the information during that day. But please, be patient : I have to go to work...

brian_p (claremont102) wrote :

models.dat in hplip-3.19.8.run doesn't have it either.

--
Brian.

Sab (sab1703) wrote :

I've just been connected with my mother's PC. Sorry, but my mother (88) did a mistake yesterday evening, she read "Scanjet 3500..." instead of "Scanjet 2500...".

brian_p (claremont102) wrote :

Not to worry, Sab. The scanjet_pro_2500_f1 is not the only missing entry. Upstream HPLIP will have to deal with this bug. I can, however, give you something to try. It is a pure guess!

Edit models.dat to have

[scanjet_pro_2500_f1]
scan-src=3
scan-type=9
support-type=2

Then try 'scanimage -L' and scanning.

--
Brian.

Sab (sab1703) wrote :

I'm just back from work.
It's too late for calling my mother. I'll do it tomorrow, in the morning and will keep you informed.

Thank you !

Have a nice evening.

Hi Sab,

SJ2500 is fully supported from 3.19.1 version.
Looks like plugin installation failed.
Please download hplip-3.19.8-plugin.run from below path

https://developers.hp.com/hp-linux-imaging-and-printing/plugins

and install plugin using below command

$sh hplip-3.19.8-plugin.run

Please let me if you still face the issue.

Regards,
Santhosh Manchikanti

Sab (sab1703) wrote :

Hi !

Thank you for having helped

@ Brian
Sorry but that didn't run :(

@Sandtosh Manchikanti
I've downloaded, installed it but that's still not running...

Each time the return is :

m@m:~$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
m@m:~$

Have a nice day !

brian_p (claremont102) wrote :

@Sandtosh Manchikanti There isn't an entry for [scanjet_pro_2500_f1] or SJ2500 in models.dat. Am I missing something or is that normal?

--
Brian.

brian_p (claremont102) wrote :

@Sandtosh Manchikanti My problem with your lack of response here is that you imply there is something wrong with the models.dat I obtained from HPLIP. Complete silence appears to be the upstream tactic when faced with a user problem.

Straightforward question: Should scanjet_pro_2500_f1 be in models.dat?

--
Brian.

Hi Brian,

From 3.16.2 we are not adding Scanjet devices in models.dat

"- Queue configuration using 'hp-setup' command is no more supported for HP ScanJets. Scan frontends like xsane, hp-scan, scanimage, simplescan will automatic"

Can you please share hp-check logs.

Regards,
Santhosh Manchikanti

Sab (sab1703) wrote :

Hi Santhosh !

I confirm that nor xsane, nor hp-scan, nor scanimage, nor simplescan recognize this Scanjet.

Regards,
Sab

Changed in hplip:
status: New → In Progress

Hi Sab,

Can you please use the above plugin installation steps and share hp-check logs.

Regards,
Santhosh

Sab (sab1703) wrote :

Hi Santhosh !

Sorry but english isn't my mother's tongue and I don't understand what do you mean by "above plugin installation steps" :(. Are they the results for commands xsane and so on ? or something else ?

Regards,
Sab

brian_p (claremont102) wrote :

@sab The advice I gave wasn't relevant. You need to install the plugin in the way Santhosh described.

--
Brian.

brian_p (claremont102) wrote :

To be clear:

Download hplip-3.19.8-plugin.run from the link below

  https://developers.hp.com/hp-linux-imaging-and-printing/plugins

and install plugin using the command

  sh hplip-3.19.8-plugin.run

Sab (sab1703) wrote :

Hi Brian !

That was done on Oct. 10th as I've mentionned.

"@Sandtosh Manchikanti
I've downloaded, installed it but that's still not running...

Each time the return is :

m@m:~$ scanimage -L

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
m@m:~$"

Sab (sab1703) wrote :
Download full text (10.1 KiB)

Just done this new one :

m@m:~$ hp-check
Saving output in log file: /home/mimi/hp-check.log

HP Linux Imaging and Printing System (ver. 3.19.8)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
has the proper dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode
will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
    OK
    MISSING - Missing Dependency or Permission or Plug-in
    INCOMPAT - Incompatible dependency-version or Plugin-version

---------------
| SYSTEM INFO |
---------------

 Kernel: 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 GNU/Linux
 Host: mimi-EasyNote-TE69KB
 Proc: 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 GNU/Linux
 Distribution: 12 18.04
 Bitness: 64 bit

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.19.8
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for ubuntu distro 18.04 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.19.8

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.19.8
html=/usr/share/doc/hplip-3.19.8
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.19.8
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
ude...

Hi Sab,

xsane needs to be installed,
Please run hp-doctor command

"sh hp-doctor"

Regards
Santhosh Manchikanti

Changed in hplip:
assignee: nobody → Santhosh Manchikanti (santhosh2357651)
Sab (sab1703) wrote :

Hi Santhosh !

This morning, because of the updates, there was so a chaos with results : broken packages. I just had time to repair them but not to reinstall xsane.
Because it's too late for my mother... I'll be connected to her PC tomorrow in the morning. At the latest, you'll have the log during lunch time at midday.

Have a nice evening !

Regards,
Sab

brian_p (claremont102) wrote :

@Sandtosh Manchikant

https://developers.hp.com/hp-linux-imaging-and-printing/plugins

has hplip-3.17.11-plugin.run as the earliest entry, During today I wanted hplip-3.17.10-plugin.run Does offering only a restricted download list have a reason?

(This has nothing to do with Sab's issue, but it seems unusual to limit what one can get from an HPLIP website when it comes to plugins).

--
Brian.

Hi Brian,

I am not sure for the particular reason, I will check with the team.

You can download from

https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/

or

download respective plugin version using hp-plugin command.

Regards,
Santhosh Manchikanti

Sab (sab1703) wrote :
Download full text (9.6 KiB)

m@m:~$ hp-doctor

HP Linux Imaging and Printing System (ver. 3.19.8)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

HP Linux Imaging and Printing System (ver. 3.19.8)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Checking for Deprecated items....
No Deprecated items are found

Checking for HPLIP updates....

HP Linux Imaging and Printing System (ver. 3.19.8)
HPLIP upgrade latest version ver. 1.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Latest version of HPLIP is already installed.

Checking for Dependencies....

---------------
| SYSTEM INFO |
---------------

 Kernel: 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 GNU/Linux
 Host: mimi-EasyNote-TE69KB
 Proc: 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 GNU/Linux
 Distribution: 12 18.04
 Bitness: 64 bit

-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.19.8
HPLIP-Home: /usr/share/hplip
HPLIP-Installation: Auto installation is supported for ubuntu distro 18.04 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.19.8

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.19.8
html=/usr/share/doc/hplip-3.19.8
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.19.8
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
qt5=no
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no

Current contents of '/var/lib/hp/hplip.state' file:
[plugin]
installed = 1
eula = 1
version = 3.19.8

Current contents of '~/.hplip/hplip.conf' file:
[upgrade]
notify_upgrade = true
last_upgraded_time = 1570469662
pending_upgrade_time = 0
latest_available_version = 3.17.10

[settings]
systray_visible = 0
systray_messages = 0

[last_used]
device_uri =
printer_name =
working_dir = .

[commands]
scan = /usr/bin/xsane -V %SANE_URI%

[refresh]
rate = 30
enable = false
type = 1

[polling]
enabl...

Read more...

Hi Sab,

Are you able to perform scanjob now ?

Regards,
Santhosh

Sab (sab1703) wrote :

Hi Santhosh !

noooooo :(((
We can open the application, it signals that's the scanner is working but after few seconds it mentionned that there was no device :(...

Regards,
Sab

Sab (sab1703) wrote :

I've just phoned to my mother. After a new start of the PC and scanner she opened xsane and the message is now : "Erreur d'ouverture du périphérique 'hpgt2500:libusb:001:004'; Paramètre non valable" (that means in english : Error whereas the scanner opens activity 'hpgt2500:libusb:001:004' ; wrong setting)

Ideally should work if there is no error in the hp-check logs.

Can you try using hp-scan command and share the logs

Sab (sab1703) wrote :

m@m:~$ hp-scan

HP Linux Imaging and Printing System (ver. 3.19.8)
Scan Utility ver. 2.2

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: No destinations specified. Adding 'file' destination by default.
error: Unable to locate device hpgt2500:libusb:001:008 using SANE backend hpaio:. Please check HPLIP installation.
m@m:~$

Trouble now when :

m@m:~$ hp-setup

HP Linux Imaging and Printing System (ver. 3.19.8)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-15 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: GUI Modules PyQt4 and PyQt5 are not installed
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.
m@m:~$

Whereas it is recognised :

m@m:~$ scanimage -L
device `hpgt2500:libusb:001:018' is a HP ScanJet Pro 2500 f1 Scanner
m@m:~$

What's going wrong ????????

Can you please download latest driver once again and check

https://developers.hp.com/hp-linux-imaging-and-printing/gethplip

$sh hplip-3.19.8.run

install plugin using below command

$sh hplip-3.19.8-plugin.run

***************
if you still face the issue please share hp-logcapture logs using below command

$sudo hp-logcapture
****************

Sab (sab1703) wrote :

Done.

Always trouble by hp-setup, then because it doesn't want to run as "m@m:~$ sudo hp-logcapture" (the same error message) I have :

m@m:~$ sudo -s
[sudo] Mot de passe de mimi :
r@m:~# hp-logcapture
error: Failed to get the user name. Try again by passing '--user' option
r@m:~#

??????

m@m:~$ hp-scan

HP Linux Imaging and Printing System (ver. 3.19.8)
Scan Utility ver. 2.2

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: No destinations specified. Adding 'file' destination by default.
Using device hpgt2500:libusb:001:002
Opening connection to device...
error: SANE: Invalid argument (code=4)
m@m:~$

Looks like system permission issue.

Can you please share syslog's, Please perform below steps

#sudo cp /dev/null /var/log/syslog

#hp-scan

Please share /var/log/syslog logs

Sab (sab1703) wrote :
Download full text (4.6 KiB)

Hi !

This is the syslog requiered

Oct 16 17:36:53 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1:1.0
Oct 16 17:36:53 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1:1.0
Oct 16 17:36:53 mimi-EasyNote-TE69KB python: io/hpmud/model.c 532: no HP_ScanJet_Pro_2500_f1 attributes found in /usr/share/hplip/data/models/models.dat
Oct 16 17:36:53 mimi-EasyNote-TE69KB python: io/hpmud/model.c 543: no HP_ScanJet_Pro_2500_f1 attributes found in /usr/share/hplip/data/models/unreleased/unreleased.dat
Oct 16 17:36:53 mimi-EasyNote-TE69KB python: io/hpmud/musb.c 2131: ignoring hp:/usb/HP_ScanJet_Pro_2500_f1?serial=CN918A1051065B support=0
Oct 16 17:36:57 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1:1.0
Oct 16 17:36:57 mimi-EasyNote-TE69KB kernel: [23768.867301] usb usb1-port1: disabled by hub (EMI?), re-enabling...
Oct 16 17:36:57 mimi-EasyNote-TE69KB kernel: [23768.867332] usb 1-1: USB disconnect, device number 8
Oct 16 17:36:57 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1:1.0
Oct 16 17:36:57 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1
Oct 16 17:36:57 mimi-EasyNote-TE69KB kernel: [23769.136951] usb 1-1: new high-speed USB device number 9 using ehci-pci
Oct 16 17:36:57 mimi-EasyNote-TE69KB kernel: [23769.293790] usb 1-1: New USB device found, idVendor=03f0, idProduct=6005, bcdDevice= 0.02
Oct 16 17:36:57 mimi-EasyNote-TE69KB kernel: [23769.293800] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Oct 16 17:36:57 mimi-EasyNote-TE69KB kernel: [23769.293806] usb 1-1: Product: HP ScanJet Pro 2500 f1
Oct 16 17:36:57 mimi-EasyNote-TE69KB kernel: [23769.293811] usb 1-1: Manufacturer: Hewlett-Packard
Oct 16 17:36:57 mimi-EasyNote-TE69KB kernel: [23769.293815] usb 1-1: SerialNumber: CN918A1051065B
Oct 16 17:36:57 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1
Oct 16 17:37:00 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'bind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1:1.0
Oct 16 17:37:00 mimi-EasyNote-TE69KB kernel: [23771.771759] usb usb1-port1: disabled by hub (EMI?), re-enabling...
Oct 16 17:37:00 mimi-EasyNote-TE69KB kernel: [23771.771773] usb 1-1: USB disconnect, device number 9
Oct 16 17:37:00 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1:1.0
Oct 16 17:37:00 mimi-EasyNote-TE69KB upowerd[1512]: unhandled action 'unbind' on /sys/devices/pci0000:00/0000:00:12.2/usb1/1-1
Oct 16 17:37:00 mimi-EasyNote-TE69KB kernel: [23772.052839] usb 1-1: new high-speed USB device number 10 using ehci-pci
Oct 16 17:37:00 mimi-EasyNote-TE69KB kernel: [23772.209638] usb 1-1: New USB device found, idVendor=03f0, idProduct=6005, bcdDevice= 0.02
Oct 16 17:37:00 mimi-EasyNote-TE69KB kernel: [23772.209644] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Oct 16 17:37:00 mimi-Eas...

Read more...

Hi Sab,

We are not able to reproduce the issue here.
Could you please share the exact system and OS configuration details to reproduce in our lab

Regards,
Santhosh

Sab (sab1703) wrote :

Hi Santhosh !

Sorry but I don't understand what you do want to have as informations what are not in the first line of my request...

m@m:~$ uname -a
Linux m-EasyNote-TE69KB 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
m@m:~$

Please explain what else you need... Do you mean the desktop environment ?

Have a nice day !

Regards,
Sab

Sab (sab1703) wrote :

I don't know if that could help ? There is a bit more information ref. the OS...

root@m:~# Xorg -version
X.Org X Server 1.20.4
X Protocol Version 11, Revision 0
Build Operating System: Linux 4.4.0-148-generic x86_64 Ubuntu
Current Operating System: Linux mimi-EasyNote-TE69KB 5.0.0-31-generic #33~18.04.1-Ubuntu SMP Tue Oct 1 10:20:39 UTC 2019 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-5.0.0-31-generic root=UUID=6cbe8398-68fa-4bd3-8b5f-a37853273dcc ro quiet splash vt.handoff=1
Build Date: 02 May 2019 08:06:54AM
xorg-server-hwe-18.04 2:1.20.4-1ubuntu3~18.04.1 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.34.0
 Before reporting problems, check http://wiki.x.org
 to make sure that you have the latest version.
root@m:~#

Download full text (1.3 MiB)

Hi Sab,

I have tried with same configuration, I am able to scan using hp-scan
########################
root@ubuntu:~/Downloads# Xorg -version

X.Org X Server 1.19.6
Release Date: 2017-12-20
X Protocol Version 11, Revision 0
Build Operating System: Linux 4.4.0-138-generic x86_64 Ubuntu
Current Operating System: Linux ubuntu 4.15.0-58-generic #64-Ubuntu SMP Tue Aug 6 11:12:41 UTC 2019 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.15.0-58-generic root=UUID=eb1cf2b2-bf15-4541-8955-6d9a756b0586 ro find_preseed=/preseed.cfg auto noprompt priority=critical locale=en_US quiet
Build Date: 25 October 2018 04:11:27PM
xorg-server 2:1.19.6-1ubuntu4.2 (For technical support please see http://www.ubuntu.com/support)
Current version of pixman: 0.34.0
                Before reporting problems, check http://wiki.x.org
                to make sure that you have the latest version.

########################
]0;apex@ubuntu: ~/Downloadsapex@ubuntu:~/Downloads$ hp-check
Saving output in log file: /home/apex/Downloads/hp-check.log

HP Linux Imaging and Printing System (ver. 3.19.8)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed to successfully compile
HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper dependencies installed to
successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies ...

Sab (sab1703) wrote :

Hi Santhosh !

Here it's still not running :'(

Further to today automatic system's update (new kernel) :

m@m:~$ hp-setup

HP Linux Imaging and Printing System (ver. 3.19.8)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Searching... (bus=usb, search=(None), desc=0)
error: No devices found on bus: usb
Searching... (bus=usb, search=(None), desc=0)
error: No devices found on bus: usb

Done.
m@m:~$ uname -a
Linux mimi-EasyNote-TE69KB 5.0.0-32-generic #34~18.04.2-Ubuntu SMP Thu Oct 10 10:36:02 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
m@m:~$

I've tried once more hp-uiscan and doesn't run too.

You have tried with an old version of the system (2 years old), not the actual one (1.20.4)... :'((

Have a nice day !

As per the above logs.. Device is not connected properly. "error: No devices found on bus: usb"

Sab (sab1703) wrote :

Hi Santhosh !

Because I'm not at my mother's I verified EACH TIME if the scan is properly connected with commands : lsusb and it appears always at the right USB-Hub.

The error isn't at my mother's side ! but because hplip isn't updated with the system and kernel. You are working with a 2 years old system (1.19.6) and not with the actual system (1.20.4) and as far as the kernel is concerned you are working with the Linux 4.4.0-138-generic instead of Linux 4.4.0-148-generic

Please update your system and try once again !

Regards,

Sab (sab1703) wrote :

Hi Santosh !

How are the tests after the upgrade ?

If it could help you ref. the upgrade schedule, this link https://wiki.ubuntu.com/Releases is the schedule calendar with release notes for all Ubuntu versions (supported and unsupported because too old).

Have a nice day !

Sab (sab1703) wrote :
Download full text (10.8 KiB)

Hi Santhosh !

No news ??? despite the trouble is always running ? I've just tested the following commands this morning (at 10:10 french hours) :

m@m:~$ scanimage -L
device `hpgt2500:libusb:001:004' is a HP ScanJet Pro 2500 f1 Scanner
m@m:~$

m@m:~$ hp-setup

HP Linux Imaging and Printing System (ver. 3.19.8)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Searching... (bus=usb, search=(None), desc=0)
error: No devices found on bus: usb

Done.
m@m:~$

m@m:~$ hp-scan

HP Linux Imaging and Printing System (ver. 3.19.8)
Scan Utility ver. 2.2

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: No destinations specified. Adding 'file' destination by default.
Using device hpgt2500:libusb:001:006
Opening connection to device...
error: SANE: Invalid argument (code=4)
mimi@mimi-EasyNote-TE69KB:~$ hp-check
Saving output in log file: /home/mimi/hp-check.log

HP Linux Imaging and Printing System (ver. 3.19.8)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the
HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies
are installed to successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro
supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball
has the proper dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode
will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
    OK
    MISSING - Missing Dependency or Permission or Plug-in
    INCOMPAT - Incompatible dependency-version or Plugin-version

---------------
| SYSTEM INFO |
---------------

 Kernel: 5.0.0-32-generic #34~18.04.2-Ubuntu SMP Thu Oct 10 10:36:02 UTC 2019 GNU/Linux
 Host: mimi-EasyNote-TE69KB
 Proc: 5.0.0-32-generic #34~18.04.2-Ubuntu SMP Thu Oct 10 10:36:02 UTC 2019 GNU/Linux
 Distribution: 12 18.04
 Bitness: 64 bit

-----...

Sab (sab1703) wrote :

This issue is always there !

Is that mean I had made a very big mistake when I advice my mother to buy a HP product and I have to send this scanner back to receive the money back because it would never work ?? and because HP didn't want to help ?? or ignore totally how to do a good job ??

summary: - HPLIP doesn't recognise Scanjet Pro 2500F1 flatted scanner
+ HPLIP doesn't recognise Scanjet Pro 2500F1 flatbed scanner

Same issue here, worked for days with @Manfred Hampl to make this scanner work without any positive results. Thanks to him BTW.

Hi All,
The path I tried was to unpack hplip, edit the file "hplip-3.19.12/data/models/models.dat" to add the Pro 2500F1 scanner (you can use the Pro 3500F1 section as a template and change parameters such as the USB PID and UID). Then repack hplip and install it. It worked for me but at the end the HPLIP UI doesn't seem to work with a scanner not linked to a printer (it's always stucked with an "hpaio" device that doesn't work. I didn't succeed to solve this.

Finally to get this scanner work under Linux I downloaded the HPLIP plugin for the ScanJet Pro 2500F1 from HP and extracted the relevant files:
- libsane-hpgt2500.so.1.0.27
- hpgt2500_ntdcmsdll.so
I then copied both files into /usr/lib/x86_64-linux-gnu/sane and generated the symbolic links such as libsane-hpgt2500.so and libsane-hpgt2500.so.1)
I made sure the UDEV required file are installed within /ulib/udev/rules.d
Scanner is now working well with xsane or simple-scan (hplip doesn't bring much more I think)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers